/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xml.bind.valueobject;

/**
 * SAXイベントのうち prefixMappingを記憶します。このクラスは XML/バリューオブジェクトマッピング (X/Oマッピング) blancoXmlBinding の一部です。
 */
public class BlancoXmlPrefixMapping {
    /**
     * フィールド [prefix]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [""]<br>
     * 例: rdf
     */
    private String fPrefix = "";

    /**
     * フィールド [uri]
     *
     * 項目の型 [java.lang.String]<br>
     * 例: http://www.w3.org/1999/02/22-rdf-syntax-ns#
     */
    private String fUri;

    /**
     * フィールド [prefix]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 例: rdf
     *
     * @param argPrefix フィールド[prefix]に格納したい値
     */
    public void setPrefix(final String argPrefix) {
        fPrefix = argPrefix;
    }

    /**
     * フィールド[prefix]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [""]<br>
     * 例: rdf
     *
     * @return フィールド[prefix]に格納されている値
     */
    public String getPrefix() {
        return fPrefix;
    }

    /**
     * フィールド [uri]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 例: http://www.w3.org/1999/02/22-rdf-syntax-ns#
     *
     * @param argUri フィールド[uri]に格納したい値
     */
    public void setUri(final String argUri) {
        fUri = argUri;
    }

    /**
     * フィールド[uri]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 例: http://www.w3.org/1999/02/22-rdf-syntax-ns#
     *
     * @return フィールド[uri]に格納されている値
     */
    public String getUri() {
        return fUri;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xml.bind.valueobject.BlancoXmlPrefixMapping[");
        buf.append("prefix=" + fPrefix);
        buf.append(",uri=" + fUri);
        buf.append("]");
        return buf.toString();
    }
}
